package com.aucma.report.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.report.mapper.ReportDayDnbMapper;
import com.aucma.report.domain.ReportDayDnb;
import com.aucma.report.service.IReportDayDnbService;

/**
 * 电日耗报Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-09
 */
@Service
public class ReportDayDnbServiceImpl implements IReportDayDnbService 
{
    @Autowired
    private ReportDayDnbMapper reportDayDnbMapper;

    /**
     * 查询电日耗报
     * 
     * @param objId 电日耗报主键
     * @return 电日耗报
     */
    @Override
    public ReportDayDnb selectReportDayDnbByObjId(Long objId)
    {
        return reportDayDnbMapper.selectReportDayDnbByObjId(objId);
    }

    /**
     * 查询电日耗报列表
     * 
     * @param reportDayDnb 电日耗报
     * @return 电日耗报
     */
    @Override
    public List<ReportDayDnb> selectReportDayDnbList(ReportDayDnb reportDayDnb)
    {
        return reportDayDnbMapper.selectReportDayDnbList(reportDayDnb);
    }

    /**
     * 新增电日耗报
     * 
     * @param reportDayDnb 电日耗报
     * @return 结果
     */
    @Override
    public int insertReportDayDnb(ReportDayDnb reportDayDnb)
    {
        return reportDayDnbMapper.insertReportDayDnb(reportDayDnb);
    }

    /**
     * 修改电日耗报
     * 
     * @param reportDayDnb 电日耗报
     * @return 结果
     */
    @Override
    public int updateReportDayDnb(ReportDayDnb reportDayDnb)
    {
        return reportDayDnbMapper.updateReportDayDnb(reportDayDnb);
    }

    /**
     * 批量删除电日耗报
     * 
     * @param objIds 需要删除的电日耗报主键
     * @return 结果
     */
    @Override
    public int deleteReportDayDnbByObjIds(Long[] objIds)
    {
        return reportDayDnbMapper.deleteReportDayDnbByObjIds(objIds);
    }

    /**
     * 删除电日耗报信息
     * 
     * @param objId 电日耗报主键
     * @return 结果
     */
    @Override
    public int deleteReportDayDnbByObjId(Long objId)
    {
        return reportDayDnbMapper.deleteReportDayDnbByObjId(objId);
    }
}
